_version: "3"
_name: Accessories Strikethrough GW
_metadata:
  base_url: ""
  controlsEditable: false
  treeShakeDependencies: false
  enableSass: true
  dependencies: []
  deviceSettings:
    device:
      show-by-default: true
      title: iPhone X
      screen:
        horizontal:
          width: 812
          height: 375
        device-pixel-ratio: 3
        vertical:
          width: 375
          height: 812
      capabilities:
        - touch
        - mobile
      user-agent: Mozilla/5.0 (iPhone; CPU iPhone OS 11_0 like Mac OS X) AppleWebKit/604.1.38 (KHTML, like Gecko) Version/11.0 Mobile/15A372 Safari/604.1
      type: phone
      modes:
        - title: default
          orientation: vertical
          insets:
            left: 0
            top: 0
            right: 0
            bottom: 0
        - title: default
          orientation: horizontal
          insets:
            left: 0
            top: 0
            right: 0
            bottom: 0
    orientation: horizontal
    zoomFactor: 1
  updated_by:
    id: auth0|625daff1f0082d00697694c5
    name: yvan.frey
  updated_at: 1651883615485
web:
  _metadata:
    preprocessors:
      css:
        type: scss
        source: ""
        conflict: false
  _config:
    dependencies: ""
  qbo2f162p:
    _id: qbo2f162p
    _display_name: Accessories Gridwalls
    _metadata:
      page_def:
        domain_match_type: full
        path_match_type: begins-with
        reference_urls:
          - https://www.verizon.com/products/phone-cases/
          - https://www.verizon.com/products/phone-case-bundles/
          - https://www.verizon.com/products/phone-screen-protectors/
          - https://www.verizon.com/products/magsafe/
          - https://www.verizon.com/products/tablet-cases/
          - https://www.verizon.com/products/tablet-screen-protectors/
          - https://www.verizon.com/products/tablet-keyboards/
          - https://www.verizon.com/
        _pattern: products/
      script: |-
        var rule = window.evolv.renderRule.accessoryPSB;
        var $ = rule.$;
          
        rule.store.instrumentDOM({
          badge: {
            get dom() {
              return $("div[data-testid='newPromoBadgeId']");
            }
          },
          badgeText: {
            get dom() {
              return $("div[data-testid='testtileid']>div[data-testid='newPromoBadgeId']>p");
            }
          },
          discountCopy: {
            get dom() {
              return $("div[data-testid='testtileid'] div[class*='Tile__Discount']");
            }
          },
          gridwallWrapper: {
            get dom() {
              return $("#gridwall-wrapper");
            }
          }
        });

        rule.app = {
          // removeBadge: () => {
          //   rule.whenItem("badge").then(b => {
          //     b.firstDom().style.display = "none";
          //   });
          // },
          addOnlineOnlyToBadge: () => {
            rule.whenItem("badgeText").then(b => {
              b.firstDom().innerHTML = b.firstDom().innerHTML + " Online Only";
            });
          },
          replaceBadgeWithStaticText: (replacementText) => {
            rule.whenItem("badgeText").then(b => {
              b.firstDom().innerHTML = replacementText;
            });
          },
          // grayDiscountCopy: () => {
          //   rule.whenItem("discountCopy").then(c => {
          //     	for (var child of c.firstDom().children) {
        		//     child.setAttribute("style", "color: rgb(116, 118, 118) !important;");
        	 //   }
          //   });
          // },
          insertSavingsPercent: (where) => {
            // discountCopy only exists on a promoted tile
            rule.whenItem("discountCopy").then(dc => {
            	let {origPricePar, price, origPrice, savingsInDollars} = rule.app.getSavingsInfo(dc);
            	
          		let savingsInPercent = Math.round(savingsInDollars / origPrice * 100);
          		var newSavingsPar = document.createElement('p');
          		newSavingsPar.classList.add("evolv-savings");
              // applyStyleToNewSavingsPar(newSavingsPar);
          		if (where == "after") {
          		  // insert after
            		newSavingsPar.innerText = "Saving " + savingsInPercent + "% ";
            		origPricePar.after(newSavingsPar);
          		} else if (where == "before") {
          		  // inseet before
            		newSavingsPar.innerText = "Saving " + savingsInPercent + "%";
        	  		origPricePar.before(newSavingsPar);
        	  		
        	  		var newSavingsDiv = document.createElement('div');
        	  		newSavingsDiv.classList.add("evolv-nowrap");

            		var newSavingsWasPar = document.createElement('p');
            		newSavingsWasPar.classList.add("evolv-savings");
            		newSavingsWasPar.innerText = " (was ";

                newSavingsDiv.appendChild(newSavingsWasPar);
                newSavingsDiv.appendChild(origPricePar);

            		var newSavingsClosingPar = document.createElement('p');
            		newSavingsClosingPar.classList.add("evolv-savings");
            		newSavingsClosingPar.innerText = ") ";
            		
            		newSavingsDiv.appendChild(newSavingsClosingPar);
            		
            		var parentDiv = origPricePar.parentElement;
            		newSavingsPar.after(newSavingsDiv);
          		} else {
          		  console.log("evolv: incorrect parameter when positioning a p tag");
          		}
            });
          },
          insertSavingsInDollars: () => {
            rule.whenItem("discountCopy").then(dc => {
            	let {origPricePar, price, origPrice, savingsInDollars} = rule.app.getSavingsInfo(dc);

          		var newSavingsPar = document.createElement('p');
          		newSavingsPar.classList.add("evolv-savings");
          		newSavingsPar.innerText = "Saving $" + savingsInDollars + " ";
              // applyStyleToNewSavingsPar(newSavingsPar);
          		origPricePar.after(newSavingsPar);
            });
          },
          insertPercentOff: () => {
            rule.whenItem("discountCopy").then(dc => {
            	let {origPricePar, price, origPrice, savingsInDollars} = rule.app.getSavingsInfo(dc);

          		let savingsInPercent = Math.round(savingsInDollars / origPrice * 100);		
          		var newSavingsPar = document.createElement('p');
          		newSavingsPar.classList.add("evolv-savings");
          		newSavingsPar.innerText = "(" + savingsInPercent + "% off) ";
              // applyStyleToNewSavingsPar(newSavingsPar);
          		origPricePar.after(newSavingsPar);
            });
          },
          setupTileClicked: (e) => {
            var selector = "div[data-testid='testtileid']";
            if (e.target.matches(selector) || e.target.closest(selector))  {
                window.evolv.client.emit('gridwall.accessory.selected');
            }
          },
          getSavingsInfo: (dc) => {
          	let origPricePar = dc.firstDom().children[0];
          	let origPrice = +origPricePar.innerHTML.substr(1);
          	let price = +dc.firstDom().parentElement.children[0].innerHTML.substr(1);
          	let savingsInDollars = origPrice - price;
          	
          	// get the savings from the badge, if it is there
          	let tileDiv = dc.firstDom().parentElement.parentElement;
          	let badgeSavingsPars = tileDiv.querySelectorAll("div[data-testid='newPromoBadgeId']>p");
          	let badgeSavingsText;
          	if (badgeSavingsPars) {
          	  badgeSavingsText = badgeSavingsPars[0].innerHTML;
            	if (badgeSavingsText.substr(0, 4) == "Save") {
          	    savingsInDollars = +badgeSavingsText.substr(6).split(" ")[0];
            	}
          	}
          	return {origPricePar, origPrice, price, savingsInDollars};
          }
        };
          
        // function applyChanges() {
        //   rule = window.evolv.renderRule.accessoryPSB;
        //   $ = rule.$;

          
        // }

        // applyChanges();


        window.addEventListener("mousedown", rule.app.setupTileClicked);
        window.addEventListener("touchend", rule.app.setupTileClicked);

        // console.log("gridwall context level script ran");


        var observer = new MutationObserver(function (mutationsList, observer) {
          setTimeout(function () {
            console.info("handle spa change");
            rule.reactivate();
          }, 0);
        });

        observer.observe(document.documentElement, {
          attributes: false,
          childList: true,
          subtree: true
        });

        // if (!window.evolv.accessoryPSBlistener) {
        //   window.evolv.accessoryPSBlistener = true;
        //   window.addEventListener('stateupdate_evolv', function () {
        //     console.info('stateupdate_evolv');
        //       handleSpaChange();
        //   });

        //   window.addEventListener('popstate', function () {
        //         console.info('popstate');
        //       handleSpaChange();
        //   });
        // }

        // rule.isActive = function() {
        //   return [...document.querySelector('html').classList].includes("evolv_web_qbo2f162p")
        // };
      styles: |-
        body[evolv-accessorypsb*=c1] .evolv-discountCopy {
          display: flex;
          flex-direction: row;
          flex-wrap: wrap;
        }
        body[evolv-accessorypsb*=c1] .evolv-discountCopy > p {
          white-space: nowrap;
        }
        body[evolv-accessorypsb*=c1] .evolv-discountCopy div.evolv-nowrap {
          display: flex;
          flex-direction: row;
          flex-wrap: nowrap;
        }
        body[evolv-accessorypsb*=c1] .evolv-discountCopy p.evolv-savings {
          font-family: Verizon-NHG-eTX, Helvetica, Ariel, sans-serif;
          font-size: 12px;
          text-decoration: none;
        }

        body[evolv-accessorypsb*=c1v3] .evolv-discountCopy p:nth-child(2) {
          padding-right: 0px;
        }
      timing: immediate
      timingSelectors: []
      preprocessors:
        css:
          type: scss
          source: |-
            body[evolv-accessorypsb*="c1"] {
              .evolv-discountCopy {
                display: flex;
                flex-direction: row;
                flex-wrap: wrap;
              }
              .evolv-discountCopy>p {
                white-space:nowrap;
              }
              .evolv- {
                &discountCopy div.evolv-nowrap {
                  display: flex;
                  flex-direction: row;
                  flex-wrap: nowrap;
                }
                &discountCopy p.evolv-savings {
                  font-family: Verizon-NHG-eTX, Helvetica, Ariel, sans-serif;
                  font-size: 12px;
                  text-decoration: none;
                }
              }
            }

            body[evolv-accessorypsb*="c1v3"] {
              .evolv- {
                &discountCopy p:nth-child(2) {
                  // no space with closing parenthesis
                  padding-right: 0px;
                }
              }
            }
          conflict: false
    _disable: false
    _config:
      _id: qbo2f162p
      _type: url
      _is_entry_point: true
      _predicate:
        combinator: and
        rules:
          - field: web.url
            operator: regex64_match
            value: L2h0dHBzPzpcL1wvd3d3LnZlcml6b24uY29tXC9wcm9kdWN0c1wvL2k=
          - field: vz.pageName
            operator: regex64_match
            value: Z3JpZHdhbGw=
            type: custom_attribute
            readonly: false
            id: 0dd3fa81-e0e5-4a28-9bc9-c2cf3b980ae3
        readonly: false
        id: 8645d1b5-453f-4074-b395-d6d844ba4773
      _initializers:
        - type: css
          code: "body[evolv-accessorypsb*=c1] .evolv-discountCopy {\\n  display: flex;\\n  flex-direction: row;\\n  flex-wrap: wrap;\\n}\\nbody[evolv-accessorypsb*=c1] .evolv-discountCopy > p {\\n  white-space: nowrap;\\n}\\nbody[evolv-accessorypsb*=c1] .evolv-discountCopy div.evolv-nowrap {\\n  display: flex;\\n  flex-direction: row;\\n  flex-wrap: nowrap;\\n}\\nbody[evolv-accessorypsb*=c1] .evolv-discountCopy p.evolv-savings {\\n  font-family: Verizon-NHG-eTX, Helvetica, Ariel, sans-serif;\\n  font-size: 12px;\\n  text-decoration: none;\\n}\\n\\nbody[evolv-accessorypsb*=c1v3] .evolv-discountCopy p:nth-child(2) {\\n  padding-right: 0px;\\n}"
        - type: javascript
          code: |-
            var rule = window.evolv.renderRule.accessoryPSB;
            var $ = rule.$;
              
            rule.store.instrumentDOM({
              badge: {
                get dom() {
                  return $("div[data-testid='newPromoBadgeId']");
                }
              },
              badgeText: {
                get dom() {
                  return $("div[data-testid='testtileid']>div[data-testid='newPromoBadgeId']>p");
                }
              },
              discountCopy: {
                get dom() {
                  return $("div[data-testid='testtileid'] div[class*='Tile__Discount']");
                }
              },
              gridwallWrapper: {
                get dom() {
                  return $("#gridwall-wrapper");
                }
              }
            });

            rule.app = {
              // removeBadge: () => {
              //   rule.whenItem("badge").then(b => {
              //     b.firstDom().style.display = "none";
              //   });
              // },
              addOnlineOnlyToBadge: () => {
                rule.whenItem("badgeText").then(b => {
                  b.firstDom().innerHTML = b.firstDom().innerHTML + " Online Only";
                });
              },
              replaceBadgeWithStaticText: (replacementText) => {
                rule.whenItem("badgeText").then(b => {
                  b.firstDom().innerHTML = replacementText;
                });
              },
              // grayDiscountCopy: () => {
              //   rule.whenItem("discountCopy").then(c => {
              //     	for (var child of c.firstDom().children) {
            		//     child.setAttribute("style", "color: rgb(116, 118, 118) !important;");
            	 //   }
              //   });
              // },
              insertSavingsPercent: (where) => {
                // discountCopy only exists on a promoted tile
                rule.whenItem("discountCopy").then(dc => {
                	let {origPricePar, price, origPrice, savingsInDollars} = rule.app.getSavingsInfo(dc);
                	
              		let savingsInPercent = Math.round(savingsInDollars / origPrice * 100);
              		var newSavingsPar = document.createElement('p');
              		newSavingsPar.classList.add("evolv-savings");
                  // applyStyleToNewSavingsPar(newSavingsPar);
              		if (where == "after") {
              		  // insert after
                		newSavingsPar.innerText = "Saving " + savingsInPercent + "% ";
                		origPricePar.after(newSavingsPar);
              		} else if (where == "before") {
              		  // inseet before
                		newSavingsPar.innerText = "Saving " + savingsInPercent + "%";
            	  		origPricePar.before(newSavingsPar);
            	  		
            	  		var newSavingsDiv = document.createElement('div');
            	  		newSavingsDiv.classList.add("evolv-nowrap");

                		var newSavingsWasPar = document.createElement('p');
                		newSavingsWasPar.classList.add("evolv-savings");
                		newSavingsWasPar.innerText = " (was ";

                    newSavingsDiv.appendChild(newSavingsWasPar);
                    newSavingsDiv.appendChild(origPricePar);

                		var newSavingsClosingPar = document.createElement('p');
                		newSavingsClosingPar.classList.add("evolv-savings");
                		newSavingsClosingPar.innerText = ") ";
                		
                		newSavingsDiv.appendChild(newSavingsClosingPar);
                		
                		var parentDiv = origPricePar.parentElement;
                		newSavingsPar.after(newSavingsDiv);
              		} else {
              		  console.log("evolv: incorrect parameter when positioning a p tag");
              		}
                });
              },
              insertSavingsInDollars: () => {
                rule.whenItem("discountCopy").then(dc => {
                	let {origPricePar, price, origPrice, savingsInDollars} = rule.app.getSavingsInfo(dc);

              		var newSavingsPar = document.createElement('p');
              		newSavingsPar.classList.add("evolv-savings");
              		newSavingsPar.innerText = "Saving $" + savingsInDollars + " ";
                  // applyStyleToNewSavingsPar(newSavingsPar);
              		origPricePar.after(newSavingsPar);
                });
              },
              insertPercentOff: () => {
                rule.whenItem("discountCopy").then(dc => {
                	let {origPricePar, price, origPrice, savingsInDollars} = rule.app.getSavingsInfo(dc);

              		let savingsInPercent = Math.round(savingsInDollars / origPrice * 100);		
              		var newSavingsPar = document.createElement('p');
              		newSavingsPar.classList.add("evolv-savings");
              		newSavingsPar.innerText = "(" + savingsInPercent + "% off) ";
                  // applyStyleToNewSavingsPar(newSavingsPar);
              		origPricePar.after(newSavingsPar);
                });
              },
              setupTileClicked: (e) => {
                var selector = "div[data-testid='testtileid']";
                if (e.target.matches(selector) || e.target.closest(selector))  {
                    window.evolv.client.emit('gridwall.accessory.selected');
                }
              },
              getSavingsInfo: (dc) => {
              	let origPricePar = dc.firstDom().children[0];
              	let origPrice = +origPricePar.innerHTML.substr(1);
              	let price = +dc.firstDom().parentElement.children[0].innerHTML.substr(1);
              	let savingsInDollars = origPrice - price;
              	
              	// get the savings from the badge, if it is there
              	let tileDiv = dc.firstDom().parentElement.parentElement;
              	let badgeSavingsPars = tileDiv.querySelectorAll("div[data-testid='newPromoBadgeId']>p");
              	let badgeSavingsText;
              	if (badgeSavingsPars) {
              	  badgeSavingsText = badgeSavingsPars[0].innerHTML;
                	if (badgeSavingsText.substr(0, 4) == "Save") {
              	    savingsInDollars = +badgeSavingsText.substr(6).split(" ")[0];
                	}
              	}
              	return {origPricePar, origPrice, price, savingsInDollars};
              }
            };
              
            // function applyChanges() {
            //   rule = window.evolv.renderRule.accessoryPSB;
            //   $ = rule.$;

              
            // }

            // applyChanges();


            window.addEventListener("mousedown", rule.app.setupTileClicked);
            window.addEventListener("touchend", rule.app.setupTileClicked);

            // console.log("gridwall context level script ran");


            var observer = new MutationObserver(function (mutationsList, observer) {
              setTimeout(function () {
                console.info("handle spa change");
                rule.reactivate();
              }, 0);
            });

            observer.observe(document.documentElement, {
              attributes: false,
              childList: true,
              subtree: true
            });

            // if (!window.evolv.accessoryPSBlistener) {
            //   window.evolv.accessoryPSBlistener = true;
            //   window.addEventListener('stateupdate_evolv', function () {
            //     console.info('stateupdate_evolv');
            //       handleSpaChange();
            //   });

            //   window.addEventListener('popstate', function () {
            //         console.info('popstate');
            //       handleSpaChange();
            //   });
            // }

            // rule.isActive = function() {
            //   return [...document.querySelector('html').classList].includes("evolv_web_qbo2f162p")
            // };
          timing: immediate
          timingSelectors: []
    2j4jgmrdq:
      _id: 2j4jgmrdq
      _display_name: c1 Remove Black Promo Banner
      _metadata:
        ? idea
      _disable: false
      _values:
        - _reference_id: ""
          _display_name: Noop
          _metadata:
            preprocessors:
              css:
                type: scss
                source: ""
                conflict: false
            idea: null
            generated_control: true
          _value:
            id: gi7wx071d
            type: compound
            _metadata: {}
            script: ""
            styles: ""
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
        - _reference_id: ""
          _display_name: c1v1 Remove Banner
          _metadata:
            preprocessors:
              css:
                type: scss
                source: |
                  body:not([evolv-accessorypsb*="c3"]) {
                    .evolv- {
                        &badge {
                          visibility: hidden;
                        }
                    }    
                  }
                conflict: false
            idea: null
          _value:
            id: 8e26w8jvn
            type: compound
            _metadata: {}
            script: |-
              var rule = window.evolv.renderRule.accessoryPSB;

              rule.track("c1v1");
            styles: |-
              body:not([evolv-accessorypsb*=c3]) .evolv-badge {
                visibility: hidden;
              }
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
        - _reference_id: ""
          _display_name: c1v2 Remove Banner / Saving %
          _metadata:
            preprocessors:
              css:
                type: scss
                source: |
                  body:not([evolv-accessorypsb*="c3"]) {
                    .evolv- {
                        &badge {
                          visibility: hidden;
                        }
                    }    
                  }
                conflict: false
            idea: null
          _value:
            id: bd4uku7qm
            type: compound
            _metadata: {}
            script: |-
              var rule = window.evolv.renderRule.accessoryPSB;

              rule.app.insertSavingsPercent("after");
              rule.track("c1v2");
            styles: |-
              body:not([evolv-accessorypsb*=c3]) .evolv-badge {
                visibility: hidden;
              }
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
        - _reference_id: ""
          _display_name: c1v3 Remove Banner / Saving % (was)
          _metadata:
            preprocessors:
              css:
                type: scss
                source: |
                  body:not([evolv-accessorypsb*="c3"]) {
                    .evolv- {
                        &badge {
                          visibility: hidden;
                        }
                    }    
                  }
                conflict: false
            idea: null
          _value:
            id: 2tb31zbng
            type: compound
            _metadata: {}
            script: |-
              var rule = window.evolv.renderRule.accessoryPSB;

              rule.app.insertSavingsPercent("before");
              rule.track("c1v3");
            styles: |-
              body:not([evolv-accessorypsb*=c3]) .evolv-badge {
                visibility: hidden;
              }
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
        - _reference_id: ""
          _display_name: c1v4 Remove Banner / Saving $$
          _metadata:
            preprocessors:
              css:
                type: scss
                source: |
                  body:not([evolv-accessorypsb*="c3"]) {
                    .evolv- {
                        &badge {
                          visibility: hidden;
                        }
                    }    
                  }
                conflict: false
            idea: null
          _value:
            id: z7qtx5utr
            type: compound
            _metadata: {}
            script: |-
              var rule = window.evolv.renderRule.accessoryPSB;

              rule.app.insertSavingsInDollars();
              rule.track("c1v4");
            styles: |-
              body:not([evolv-accessorypsb*=c3]) .evolv-badge {
                visibility: hidden;
              }
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
        - _reference_id: ""
          _display_name: c1v5 Remove Banner / %off
          _metadata:
            preprocessors:
              css:
                type: scss
                source: |
                  body:not([evolv-accessorypsb*="c3"]) {
                    .evolv- {
                        &badge {
                          visibility: hidden;
                        }
                    }    
                  }
                conflict: false
            idea: null
          _value:
            id: t0e4qz1ng
            type: compound
            _metadata: {}
            script: |-
              var rule = window.evolv.renderRule.accessoryPSB;

              rule.app.insertPercentOff();
              rule.track("c1v5");
            styles: |-
              body:not([evolv-accessorypsb*=c3]) .evolv-badge {
                visibility: hidden;
              }
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
      _description: ""
      _config:
        _id: 2j4jgmrdq
        _type: manual
        _is_entry_point: false
        _predicate: null
        _initializers: []
    aa1fkwg5u:
      _id: aa1fkwg5u
      _display_name: c2 Change Strikethrough Pricing Color
      _metadata:
        ? idea
      _disable: false
      _values:
        - _reference_id: ""
          _display_name: Noop
          _metadata:
            preprocessors:
              css:
                type: scss
                source: ""
                conflict: false
            idea: null
            generated_control: true
          _value:
            id: djmhgn303
            type: compound
            _metadata: {}
            script: ""
            styles: ""
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
        - _reference_id: ""
          _display_name: c2v1 Change strikethrough pricing color from black to gray
          _metadata:
            preprocessors:
              css:
                type: scss
                source: |-
                  .evolv-discountCopy {
                    p, a {
                      color: rgb(116, 118, 118) !important;
                    }
                  }
                conflict: false
            idea: null
          _value:
            id: 82hhk4kss
            type: compound
            _metadata: {}
            script: |-
              var rule = window.evolv.renderRule.accessoryPSB;

              rule.app.grayDiscountCopy();
            styles: |-
              .evolv-discountCopy p, .evolv-discountCopy a {
                color: #747676 !important;
              }
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
      _description: ""
      _config:
        _id: aa1fkwg5u
        _type: manual
        _is_entry_point: false
        _predicate: null
        _initializers: []
    eymoe1vks:
      _id: eymoe1vks
      _display_name: c3 Black Promo Banner Copy Change
      _metadata:
        ? idea
      _disable: false
      _values:
        - _reference_id: ""
          _display_name: Noop
          _metadata:
            preprocessors:
              css:
                type: scss
                source: ""
                conflict: false
            idea: null
            generated_control: true
          _value:
            id: xjsbte41u
            type: compound
            _metadata: {}
            script: ""
            styles: ""
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
        - _reference_id: ""
          _display_name: 'c3v1 Badge: Savings + "Online Only"'
          _metadata:
            preprocessors:
              css:
                type: scss
                source: ""
                conflict: false
            idea: null
          _value:
            id: qcwivsp8r
            type: compound
            _metadata: {}
            script: |-
              var rule = window.evolv.renderRule.accessoryPSB;

              rule.app.addOnlineOnlyToBadge();
              rule.track("c3v1");
            styles: ""
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
        - _reference_id: ""
          _display_name: 'c3v2 Badge: "Online exclusive offer"'
          _metadata:
            preprocessors:
              css:
                type: scss
                source: ""
                conflict: false
            idea: null
          _value:
            id: 12jhd98ns
            type: compound
            _metadata: {}
            script: |-
              var rule = window.evolv.renderRule.accessoryPSB;

              rule.app.replaceBadgeWithStaticText("Online exclusive offer");
              rule.track("c3v2");
            styles: ""
            timing: immediate
            timingSelectors: []
          _screenshots: []
          _disable: false
      _description: ""
      _config:
        _id: eymoe1vks
        _type: manual
        _is_entry_point: false
        _predicate: null
        _initializers: []
    _description: ""
  _combination_previews:
    - uri: evolv-web://view/{account_id}/{metamodel_id}/{metamodel_version}?project_name={project_name}&combination={combination}
      display_name: Preview in Web Editor
    - uri: https://www.verizon.com/products/phone-cases/#evolvCandidateToken={candidate_token}
      display_name: Preview in Browser
